com.streambase.sb

## Enum TupleCopier.Options

- java.lang.Object
- - java.lang.Enum<TupleCopier.Options>
  - - com.streambase.sb.TupleCopier.Options

- All Implemented Interfaces:
    Serializable, Comparable<TupleCopier.Options>
  Enclosing class:
    TupleCopier

      public static enum TupleCopier.Options
      extends Enum<TupleCopier.Options>

  Options for this TupleCopier

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CopyByIndex` `TupleCopier.Options.CopyByIndex` (off by default) will cause the copier to copy via indexes.
    `CopyByName` The default option: `TupleCopier.Options.CopyByName` will cause the copier to copy via field names.
    `IgnoreTimestampFields` `TupleCopier.Options.IgnoreTimestampFields` (off by default)Used by tupleEquals and will cause the comparison to ignore any field with `DataType.TIMESTAMP.`
    `Strict` `TupleCopier.Options.Strict` (off by default) will cause the copier to copy fields in a strict manner.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TupleCopier.Options` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TupleCopier.Options[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CopyByName

          public static final TupleCopier.Options CopyByName

      The default option: `TupleCopier.Options.CopyByName` will cause the copier to copy via field names. This will enable Tuples to be copied where the order of the fields is different.

    - #### CopyByIndex

          public static final TupleCopier.Options CopyByIndex

      `TupleCopier.Options.CopyByIndex` (off by default) will cause the copier to copy via indexes. This will enable Tuples to be copied where the names of the fields are different. Off by default.

    - #### Strict

          public static final TupleCopier.Options Strict

      `TupleCopier.Options.Strict` (off by default) will cause the copier to copy fields in a strict manner. Strict will cause the TupleCopier to throw exceptions if schema fields do not match by name and type. Without strict the TupleCopier TupleCopier will copy only fields that match by name and type. Off by default.

    - #### IgnoreTimestampFields

          public static final TupleCopier.Options IgnoreTimestampFields

      `TupleCopier.Options.IgnoreTimestampFields` (off by default)Used by tupleEquals and will cause the comparison to ignore any field with `DataType.TIMESTAMP.`

  - ### Method Detail

    - #### values

          public static TupleCopier.Options[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TupleCopier.Options c : TupleCopier.Options.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TupleCopier.Options valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.